/*============================================================================
  File:     linqxml.sql

  Summary:  This is a test script for the demo project LINQ2XMLLib. The 
			SQLCLR function must be compiled and deployed first for the test
			to work. Use Visual Studio's autodeploy feature after creating the 
			database in this script.

  Date:     August 2008

  SQL Server Version: 10.0.1600.22 (RTM)
------------------------------------------------------------------------------
  Written by Bob Beauchemin, SQLskills.com

  For more scripts and sample code, check out http://www.SQLskills.com

  This script is intended only as a supplement to SQL Server Jumpstart program.
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/
sp_configure 'show advanced options', 1
reconfigure
go
sp_configure 'clr enabled', 1
reconfigure

if DATABASEPROPERTY('test', 'Version') is null
create database test
go

use test
go

/* You can uncomment these lines or use Visual Studio autodeploy
CREATE ASSEMBLY linq2xmllib 
FROM 'c:\temp\linq2xmllib.dll'
GO

CREATE FUNCTION dbo.makexml ()
RETURNS xml
AS EXTERNAL NAME linq2xmllib.[LINQ2XMLlib.Class1].MakeXML
*/

select dbo.makexml();
go

select * from sys.assemblies
go